## Theoretical question


1. Explain how you understand what destructuring is and why it is needed ?

Destructuring allows to break an object or array into variables when assigned, simplifies the syntax, makes the code more understandable.
